# AbstractSiteMap.SitemapType (Crawler-commons 0.8 API)
Date: 2017-06-07

crawlercommons.sitemaps

## Enum AbstractSiteMap.SitemapType

- java.lang.Object
- - java.lang.Enum<AbstractSiteMap.SitemapType>
  - - crawlercommons.sitemaps.AbstractSiteMap.SitemapType

All Implemented Interfaces:
  Serializable, Comparable<AbstractSiteMap.SitemapType>

Enclosing class:
  AbstractSiteMap

    public static enum AbstractSiteMap.SitemapType
    extends Enum<AbstractSiteMap.SitemapType>

Various Sitemap types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ATOM`
`INDEX`
`RSS`
`TEXT`
`XML`

### Method Summary

All Methods Static Methods Concrete Methods
`static AbstractSiteMap.SitemapType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractSiteMap.SitemapType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INDEX

    public static final AbstractSiteMap.SitemapType INDEX

#### XML

    public static final AbstractSiteMap.SitemapType XML

#### ATOM

    public static final AbstractSiteMap.SitemapType ATOM

#### RSS

    public static final AbstractSiteMap.SitemapType RSS

#### TEXT

    public static final AbstractSiteMap.SitemapType TEXT

### Method Detail

#### values

    public static AbstractSiteMap.SitemapType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractSiteMap.SitemapType c : AbstractSiteMap.SitemapType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractSiteMap.SitemapType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null